Package fr.gouv.vitam.functional.administration.client

# Class AdminManagementClientMock

java.lang.Object
fr.gouv.vitam.common.client.AbstractMockClient
fr.gouv.vitam.functional.administration.client.AdminManagementClientMock

All Implemented Interfaces:
  `MockOrRestClient`, `VitamAutoCloseable`, `AdminManagementClient`, `AutoCloseable`

public class AdminManagementClientMock extends AbstractMockClient implements AdminManagementClient
Mock client implementation for AdminManagement

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class fr.gouv.vitam.common.client.AbstractMockClient

  `AbstractMockClient.FakeInboundResponse`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AdminManagementClientMock()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `jakarta.ws.rs.core.Response`
  `checkAgenciesFile(InputStream stream)`
  Check if agencies file is well formated
  `jakarta.ws.rs.core.Response`
  `checkFormat(InputStream stream)`
  `jakarta.ws.rs.core.Response`
  `checkRulesFile(InputStream stream)`
  Check if rule file is well formated
  `RequestResponse<AccessionRegisterSymbolic>`
  `createAccessionRegisterSymbolic(List<Integer> tenants)`
  Creates and return the accession register symbolic.
  `RequestResponse`
  `createArchiveUnitProfiles(List<ArchiveUnitProfileModel> archiveUnitProfileModelList)`
  Import a set of archive unit profile metadata.
  `jakarta.ws.rs.core.Response.Status`
  `createExternalOperation(LogbookOperationParameters logbookOperationparams)`
  Create external logbook operation entry
  `RequestResponse`
  `createOrUpdateAccessionRegister(AccessionRegisterDetailModel register)`
  `RequestResponse`
  `createProfiles(List<ProfileModel> profileModelList)`
  Import a set of profile If all the profiles are valid, they will be stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json contains 2 ore many profile having the same name One or more mandatory field is missing A field has an invalid format One or many profiles already exist in the database
  `jakarta.ws.rs.core.Response.Status`
  `deleteUnitExternalSchemas(List<String> paths)`
  Delete one or more external schemas by path(s)
  `jakarta.ws.rs.core.Response`
  `downloadProfileFile(String profileMetadataId)`
  Download the profile file according to profileMetadataId
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `evidenceAudit(com.fasterxml.jackson.databind.JsonNode query)`
  launch a traceability audit for the unit
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `exportProbativeValue(ProbativeValueRequest queryDsl)`
  Launch an probative value export for the query
  `RequestResponse`
  `findAccessContracts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find access contracts By id mongo By the name By comlexe criteria
  `RequestResponse`
  `findAccessContractsByID(String documentId)`
  `RequestResponse<ArchiveUnitProfileModel>`
  `findArchiveUnitProfiles(com.fasterxml.jackson.databind.JsonNode query)`
  Find profiles according to the given json query (we can also use this method to find profile by identifier)
  `RequestResponse<ArchiveUnitProfileModel>`
  `findArchiveUnitProfilesByID(String requestedId)`
  Find archive unit profile by technical id (id generated by the database)
  `RequestResponse<ContextModel>`
  `findContextById(String id)`
  Find context by id
  `RequestResponse<ContextModel>`
  `findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find contexts
  `RequestResponse<GriffinModel>`
  `findGriffin(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  `RequestResponse<GriffinModel>`
  `findGriffinByID(String id)`
  `RequestResponse<IngestContractModel>`
  `findIngestContracts(com.fasterxml.jackson.databind.JsonNode query)`
  `RequestResponse<IngestContractModel>`
  `findIngestContractsByID(String id)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `findJobs()`
  `RequestResponse`
  `findManagementContracts(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find management contracts By id mongo By the name By comlexe criteria
  `RequestResponse`
  `findManagementContractsByID(String documentId)`
  `RequestResponse<OntologyModel>`
  `findOntologies(com.fasterxml.jackson.databind.JsonNode query)`
  Find ontologies according to the given json query (we can also use this method to find ontology by identifier)
  `RequestResponse<OntologyModel>`
  `findOntologyByID(String requestedId)`
  Find the ontology by technical id (id generated by the database)
  `RequestResponse<PreservationScenarioModel>`
  `findPreservation(com.fasterxml.jackson.databind.JsonNode dslQuery)`
  `RequestResponse<PreservationScenarioModel>`
  `findPreservationByID(String id)`
  `RequestResponse<ProfileModel>`
  `findProfiles(com.fasterxml.jackson.databind.JsonNode query)`
  Find profiles according to the given query string (we can also use this method to find profile by identifier)
  `RequestResponse<ProfileModel>`
  `findProfilesByID(String id)`
  Find profile by id (id generated by the database)
  `RequestResponse`
  `findSecurityProfileByIdentifier(String identifier)`
  Find a security profile by identifier
  `RequestResponse`
  `findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Find security profiles by DSL query By internal id By identifier By name By comlexe criteria
  `RequestResponse`
  `forcePause(ProcessPause info)`
  Pause the processes specified by ProcessPause info
  `RequestResponse`
  `getAccessionRegister(com.fasterxml.jackson.databind.JsonNode query)`
  Get the accession register summary matching the given query
  `RequestResponse<AccessionRegisterDetailModel>`
  `getAccessionRegisterDetail(com.fasterxml.jackson.databind.JsonNode query)`
  Get the accession register details matching the given query
  `RequestResponse`
  `getAccessionRegisterDetail(String originatingAgency, com.fasterxml.jackson.databind.JsonNode query)`
  Get the accession register details matching the given query for the specified contract
  `RequestResponse<AccessionRegisterSymbolicModel>`
  `getAccessionRegisterSymbolic(Integer tenant, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Retrieve the accession register symbolic regarding the tenant and a date range.
  `com.fasterxml.jackson.databind.JsonNode`
  `getAgencies(com.fasterxml.jackson.databind.JsonNode query)`
  List the agencies that match the query
  `RequestResponse<AgenciesModel>`
  `getAgencyById(String id)`
  `RequestResponse<CombinedSchemaModel>`
  `getArchiveUnitProfileSchema(String id)`
  `com.fasterxml.jackson.databind.JsonNode`
  `getFormatByID(String id)`
  `RequestResponse<FileFormatModel>`
  `getFormats(com.fasterxml.jackson.databind.JsonNode query)`
  `RequestResponse<SchemaResponse>`
  `getObjectGroupSchema()`
  `RequestResponse<PublicConfiguration>`
  `getPublicConfiguration()`
  Get Vitam public configuration
  `com.fasterxml.jackson.databind.JsonNode`
  `getRuleByID(String id)`
  `com.fasterxml.jackson.databind.JsonNode`
  `getRules(com.fasterxml.jackson.databind.JsonNode query)`
  List the rules that match the query
  `RequestResponse<SchemaResponse>`
  `getUnitSchema()`
  `jakarta.ws.rs.core.Response.Status`
  `importAccessContracts(List<AccessContractModel> accessContractModelList)`
  Import a set of access contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json have an id already set The json contains 2 ore many contracts having the same name One or more mandatory field is missing A field has an invalid format One or many contracts Already exist in the database
  `jakarta.ws.rs.core.Response.Status`
  `importAgenciesFile(InputStream stream, String filename)`
  Import agencies for a given tenant
  `jakarta.ws.rs.core.Response.Status`
  `importContexts(List<ContextModel> contextModelList)`
  Import a set of context
  `jakarta.ws.rs.core.Response.Status`
  `importFormat(InputStream stream, String filename)`
  `RequestResponse`
  `importGriffins(List<GriffinModel> griffinModelList)`
  `jakarta.ws.rs.core.Response.Status`
  `importIngestContracts(List<IngestContractModel> ingestContractModelList)`
  Import a set of ingest contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json contains 2 ore many contracts having the same name One or more mandatory field is missing A field has an invalid format One or many contracts elready exist in the database
  `jakarta.ws.rs.core.Response.Status`
  `importManagementContracts(List<ManagementContractModel> accessContractModelList)`
  Import a set of management contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations : The json is invalid The json have an id already set The json contains 2 ore many contracts having the same name One or more mandatory field is missing A field has an invalid format One or many contracts Already exist in the database One or many storage strategies are invalid
  `RequestResponse`
  `importOntologies(boolean forceUpdate, List<OntologyModel> ontologyModelList)`
  Import a set of ontologies metadata.
  `RequestResponse`
  `importPreservationScenarios(List<PreservationScenarioModel> preservationScenarioModelList)`
  `RequestResponse`
  `importProfileFile(String profileMetadataId, InputStream stream)`
  `jakarta.ws.rs.core.Response.Status`
  `importRulesFile(InputStream stream, String filename)`
  Import a the set of rules for a given tenant
  `jakarta.ws.rs.core.Response.Status`
  `importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList)`
  Import a set of security profiles after passing the validation steps.
  `jakarta.ws.rs.core.Response.Status`
  `importUnitExternalSchema(List<SchemaInputModel> externalSchemaInputList)`
  Import a set of external unit schema.
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `launchAuditWorkflow(AuditOptions options, boolean checkAccessContract)`
  launch audit with options
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `launchReferentialAudit(AuditReferentialOptions auditReferentialOptions)`
  `RequestResponse<ReindexationResult>`
  `launchReindexation(com.fasterxml.jackson.databind.JsonNode options)`
  launch a reindexation process with options
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `launchRuleAudit(List<Integer> tenants)`
  launch audit for rule management
  `void`
  `reconstructAccessionRegister(List<ReconstructionRequestItem> reconstructionItems)`
  `void`
  `reconstructCollection(String collection)`
  `RequestResponse<com.fasterxml.jackson.databind.JsonNode>`
  `rectificationAudit(String operationId)`
  Launch rectification Audit
  `RequestResponse`
  `removeForcePause(ProcessPause info)`
  Remove the pause for the processes specified by ProcessPause info
  `RequestResponse<Boolean>`
  `securityProfileIsUsedInContexts(String securityProfileId)`
  Find if security profile is used in contexts
  `RequestResponse<ReindexationResult>`
  `switchIndexes(com.fasterxml.jackson.databind.JsonNode options)`
  launch an index switch.
  `RequestResponse<AccessContractModel>`
  `updateAccessContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update AccessContract to mongo
  `RequestResponse<ArchiveUnitProfileModel>`
  `updateArchiveUnitProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update a profile
  `RequestResponse<ContextModel>`
  `updateContext(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update context to mongo
  `RequestResponse<IngestContractModel>`
  `updateIngestContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update IngestContract to mongo
  `RequestResponse<ManagementContractModel>`
  `updateManagementContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update ManagementContract to mongo
  `RequestResponse<ProfileModel>`
  `updateProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Update a profile
  `RequestResponse<SecurityProfileModel>`
  `updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl)`
  Updates a security context

  ### Methods inherited from class fr.gouv.vitam.common.client.AbstractMockClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface fr.gouv.vitam.common.client.MockOrRestClient

  `checkStatus, checkStatus, close, consumeAnyEntityAndClose, getResourcePath, getServiceUrl`

- ## Constructor Details

  - ### AdminManagementClientMock

    public AdminManagementClientMock()

- ## Method Details

  - ### checkFormat

    public jakarta.ws.rs.core.Response checkFormat(InputStream stream) throws FileFormatException
    Specified by:
      `checkFormat` in interface `AdminManagementClient`
    Parameters:
      `stream` - as InputStream;
    Returns:
      Response
    Throws:
      `FileFormatException`

  - ### importFormat

    public jakarta.ws.rs.core.Response.Status importFormat(InputStream stream, String filename) throws FileFormatException
    Specified by:
      `importFormat` in interface `AdminManagementClient`
    Parameters:
      `stream` - as InputStream
      `filename` - name of the imported file
    Returns:
      the response to the request
    Throws:
      `FileFormatException`

  - ### getFormatByID

    public com.fasterxml.jackson.databind.JsonNode getFormatByID(String id) throws InvalidParseOperationException
    Specified by:
      `getFormatByID` in interface `AdminManagementClient`
    Parameters:
      `id` - as String
    Returns:
      JsonNode
    Throws:
      `InvalidParseOperationException` - when json exception occurs

  - ### getFormats

    public RequestResponse<FileFormatModel> getFormats(com.fasterxml.jackson.databind.JsonNode query) throws FileFormatException, InvalidParseOperationException, IOException
    Specified by:
      `getFormats` in interface `AdminManagementClient`
    Parameters:
      `query` - as JsonNode
    Returns:
      JsonNode
    Throws:
      `InvalidParseOperationException` - when json exception occurs
      `IOException` - when io data exception occurs
      `FileFormatException`

  - ### checkRulesFile

    public jakarta.ws.rs.core.Response checkRulesFile(InputStream stream) throws FileRulesException
    Description copied from interface: `AdminManagementClient`
    Check if rule file is well formated
    Specified by:
      `checkRulesFile` in interface `AdminManagementClient`
    Parameters:
      `stream` - rule file inputstream to check
    Returns:
      Response
    Throws:
      `FileRulesException`

  - ### checkAgenciesFile

    public jakarta.ws.rs.core.Response checkAgenciesFile(InputStream stream)
    Description copied from interface: `AdminManagementClient`
    Check if agencies file is well formated
    Specified by:
      `checkAgenciesFile` in interface `AdminManagementClient`
    Parameters:
      `stream` - agencies file inputstream to check
    Returns:
      Response

  - ### importRulesFile

    public jakarta.ws.rs.core.Response.Status importRulesFile(InputStream stream, String filename) throws ReferentialException, DatabaseConflictException
    Description copied from interface: `AdminManagementClient`
    Import a the set of rules for a given tenant
    Specified by:
      `importRulesFile` in interface `AdminManagementClient`
    Parameters:
      `stream` - rule file inputstream to import
      `filename` - name of the imported file
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when file rules exception occurs
      `DatabaseConflictException` - when Database conflict exception occurs

  - ### importAgenciesFile

    public jakarta.ws.rs.core.Response.Status importAgenciesFile(InputStream stream, String filename) throws ReferentialException
    Description copied from interface: `AdminManagementClient`
    Import agencies for a given tenant
    Specified by:
      `importAgenciesFile` in interface `AdminManagementClient`
    Parameters:
      `stream` - agency file inputstream to import
      `filename` - name of the imported file
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when file rules exception occurs

  - ### getAgencies

    public com.fasterxml.jackson.databind.JsonNode getAgencies(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    List the agencies that match the query
    Specified by:
      `getAgencies` in interface `AdminManagementClient`
    Parameters:
      `query` - to get agencies
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException` - when a parse problem occurs

  - ### getRuleByID

    public com.fasterxml.jackson.databind.JsonNode getRuleByID(String id) throws FileRulesException, InvalidParseOperationException
    Specified by:
      `getRuleByID` in interface `AdminManagementClient`
    Parameters:
      `id` - The rule identifier
    Returns:
      Rule in JsonNode format
    Throws:
      `FileRulesException` - when file rules exception occurs
      `InvalidParseOperationException` - when a parse problem occurs

  - ### getAgencyById

    public RequestResponse<AgenciesModel> getAgencyById(String id) throws InvalidParseOperationException
    Specified by:
      `getAgencyById` in interface `AdminManagementClient`
    Parameters:
      `id` - The agency identifier
    Returns:
      agency in JsonNode agency
    Throws:
      `InvalidParseOperationException` - when a parse problem occurs

  - ### getRules

    public com.fasterxml.jackson.databind.JsonNode getRules(com.fasterxml.jackson.databind.JsonNode query) throws FileRulesException, InvalidParseOperationException, IOException
    Description copied from interface: `AdminManagementClient`
    List the rules that match the query
    Specified by:
      `getRules` in interface `AdminManagementClient`
    Parameters:
      `query` - to get rule
    Returns:
      Rules in JsonNode format
    Throws:
      `FileRulesException` - when file rules exception occurs
      `InvalidParseOperationException` - when a parse problem occurs
      `IOException` - when IO Exception occurs

  - ### createOrUpdateAccessionRegister

    public RequestResponse createOrUpdateAccessionRegister(AccessionRegisterDetailModel register)
    Specified by:
      `createOrUpdateAccessionRegister` in interface `AdminManagementClient`
    Parameters:
      `register` - AccessionRegisterDetail

  - ### getAccessionRegister

    public RequestResponse getAccessionRegister(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Get the accession register summary matching the given query
    Specified by:
      `getAccessionRegister` in interface `AdminManagementClient`
    Parameters:
      `query` - The DSL Query as JsonNode
    Returns:
      instance of RequestResponse of type AccessionRegisterSummaryModel
    Throws:
      `InvalidParseOperationException`

  - ### getAccessionRegisterDetail

    public RequestResponse getAccessionRegisterDetail(String originatingAgency, com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Get the accession register details matching the given query for the specified contract
    Specified by:
      `getAccessionRegisterDetail` in interface `AdminManagementClient`
    Parameters:
      `query` - The DSL Query as a JSON Node
    Returns:
      The AccessionregisterDetails list as a response jsonNode
    Throws:
      `InvalidParseOperationException`

  - ### getAccessionRegisterDetail

    public RequestResponse<AccessionRegisterDetailModel> getAccessionRegisterDetail(com.fasterxml.jackson.databind.JsonNode query)
    Description copied from interface: `AdminManagementClient`
    Get the accession register details matching the given query
    Specified by:
      `getAccessionRegisterDetail` in interface `AdminManagementClient`
    Parameters:
      `query` - The DSL Query as a JSON Node
    Returns:
      The AccessionregisterDetails list as a response jsonNode

  - ### importIngestContracts

    public jakarta.ws.rs.core.Response.Status importIngestContracts(List<IngestContractModel> ingestContractModelList)
    Description copied from interface: `AdminManagementClient`
    Import a set of ingest contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts elready exist in the database
    Specified by:
      `importIngestContracts` in interface `AdminManagementClient`
    Parameters:
      `ingestContractModelList` - the contract to import
    Returns:
      The server response as vitam RequestResponse

  - ### importAccessContracts

    public jakarta.ws.rs.core.Response.Status importAccessContracts(List<AccessContractModel> accessContractModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Import a set of access contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json have an id already set
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts Already exist in the database
    Specified by:
      `importAccessContracts` in interface `AdminManagementClient`
    Parameters:
      `accessContractModelList` - the list contract to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### importManagementContracts

    public jakarta.ws.rs.core.Response.Status importManagementContracts(List<ManagementContractModel> accessContractModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Import a set of management contracts after passing the validation steps If all the contracts are valid, they are stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json have an id already set
    - The json contains 2 ore many contracts having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many contracts Already exist in the database
    - One or many storage strategies are invalid
    Specified by:
      `importManagementContracts` in interface `AdminManagementClient`
    Parameters:
      `accessContractModelList` - the list contract to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findAccessContracts

    public RequestResponse findAccessContracts(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Find access contracts
    - By id mongo
    - By the name
    - By comlexe criteria
    Specified by:
      `findAccessContracts` in interface `AdminManagementClient`
    Parameters:
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findAccessContractsByID

    public RequestResponse findAccessContractsByID(String documentId) throws InvalidParseOperationException
    Specified by:
      `findAccessContractsByID` in interface `AdminManagementClient`
    Parameters:
      `documentId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### findIngestContracts

    public RequestResponse<IngestContractModel> findIngestContracts(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, AdminManagementClientServerException
    Specified by:
      `findIngestContracts` in interface `AdminManagementClient`
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findIngestContractsByID

    public RequestResponse<IngestContractModel> findIngestContractsByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Specified by:
      `findIngestContractsByID` in interface `AdminManagementClient`
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findManagementContracts

    public RequestResponse findManagementContracts(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Find management contracts
    - By id mongo
    - By the name
    - By comlexe criteria
    Specified by:
      `findManagementContracts` in interface `AdminManagementClient`
    Parameters:
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findManagementContractsByID

    public RequestResponse findManagementContractsByID(String documentId) throws InvalidParseOperationException, AdminManagementClientServerException
    Specified by:
      `findManagementContractsByID` in interface `AdminManagementClient`
    Parameters:
      `documentId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### createProfiles

    public RequestResponse createProfiles(List<ProfileModel> profileModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Import a set of profile If all the profiles are valid, they will be stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many profile having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many profiles already exist in the database
    Specified by:
      `createProfiles` in interface `AdminManagementClient`
    Parameters:
      `profileModelList` - the list profile to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### importProfileFile

    public RequestResponse importProfileFile(String profileMetadataId, InputStream stream) throws ReferentialException, DatabaseConflictException
    Specified by:
      `importProfileFile` in interface `AdminManagementClient`
    Parameters:
      `profileMetadataId` - the id of the profile metadata corresponding to the file
      `stream` - as InputStream
    Returns:
      the response to the request
    Throws:
      `ReferentialException` - when import exception occurs
      `DatabaseConflictException` - conflict exception occurs

  - ### downloadProfileFile

    public jakarta.ws.rs.core.Response downloadProfileFile(String profileMetadataId) throws AdminManagementClientServerException, ProfileNotFoundException
    Description copied from interface: `AdminManagementClient`
    Download the profile file according to profileMetadataId
    Specified by:
      `downloadProfileFile` in interface `AdminManagementClient`
    Parameters:
      `profileMetadataId` -
    Returns:
      Response
    Throws:
      `AdminManagementClientServerException`
      `ProfileNotFoundException`

  - ### findProfiles

    public RequestResponse<ProfileModel> findProfiles(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Find profiles according to the given query string (we can also use this method to find profile by identifier)
    Specified by:
      `findProfiles` in interface `AdminManagementClient`
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findProfilesByID

    public RequestResponse<ProfileModel> findProfilesByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Description copied from interface: `AdminManagementClient`
    Find profile by id (id generated by the database)
    Specified by:
      `findProfilesByID` in interface `AdminManagementClient`
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### createArchiveUnitProfiles

    public RequestResponse createArchiveUnitProfiles(List<ArchiveUnitProfileModel> archiveUnitProfileModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Import a set of archive unit profile metadata. If all the archive unit profiles are valid, they will be stored in the collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many profile having the same name
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many profiles already exist in the database
    Specified by:
      `createArchiveUnitProfiles` in interface `AdminManagementClient`
    Parameters:
      `archiveUnitProfileModelList` - the list profile to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findArchiveUnitProfiles

    public RequestResponse<ArchiveUnitProfileModel> findArchiveUnitProfiles(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Find profiles according to the given json query (we can also use this method to find profile by identifier)
    Specified by:
      `findArchiveUnitProfiles` in interface `AdminManagementClient`
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findArchiveUnitProfilesByID

    public RequestResponse<ArchiveUnitProfileModel> findArchiveUnitProfilesByID(String requestedId) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Description copied from interface: `AdminManagementClient`
    Find archive unit profile by technical id (id generated by the database)
    Specified by:
      `findArchiveUnitProfilesByID` in interface `AdminManagementClient`
    Parameters:
      `requestedId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### updateArchiveUnitProfile

    public RequestResponse<ArchiveUnitProfileModel> updateArchiveUnitProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Description copied from interface: `AdminManagementClient`
    Update a profile
    Specified by:
      `updateArchiveUnitProfile` in interface `AdminManagementClient`
    Parameters:
      `id` -
      `queryDsl` -
    Returns:
      the updated ProfileModel for success
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### updateAccessContract

    public RequestResponse<AccessContractModel> updateAccessContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Update AccessContract to mongo
    Specified by:
      `updateAccessContract` in interface `AdminManagementClient`
    Parameters:
      `id` - the given access contract id to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### updateIngestContract

    public RequestResponse<IngestContractModel> updateIngestContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Update IngestContract to mongo
    Specified by:
      `updateIngestContract` in interface `AdminManagementClient`
    Parameters:
      `id` - the given Ingest contract id to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### updateManagementContract

    public RequestResponse<ManagementContractModel> updateManagementContract(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Update ManagementContract to mongo
    Specified by:
      `updateManagementContract` in interface `AdminManagementClient`
    Parameters:
      `id` - the given access contract id to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### importContexts

    public jakarta.ws.rs.core.Response.Status importContexts(List<ContextModel> contextModelList) throws ReferentialException
    Description copied from interface: `AdminManagementClient`
    Import a set of context
    Specified by:
      `importContexts` in interface `AdminManagementClient`
    Parameters:
      `contextModelList` -
    Returns:
      Status
    Throws:
      `ReferentialException`

  - ### updateContext

    public RequestResponse<ContextModel> updateContext(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Update context to mongo
    Specified by:
      `updateContext` in interface `AdminManagementClient`
    Parameters:
      `id` -
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### findContexts

    public RequestResponse<ContextModel> findContexts(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Find contexts
    Specified by:
      `findContexts` in interface `AdminManagementClient`
    Parameters:
      `queryDsl` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### findContextById

    public RequestResponse<ContextModel> findContextById(String id) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Find context by id
    Specified by:
      `findContextById` in interface `AdminManagementClient`
    Parameters:
      `id` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### securityProfileIsUsedInContexts

    public RequestResponse<Boolean> securityProfileIsUsedInContexts(String securityProfileId) throws InvalidParseOperationException, ReferentialNotFoundException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Find if security profile is used in contexts
    Specified by:
      `securityProfileIsUsedInContexts` in interface `AdminManagementClient`
    Parameters:
      `securityProfileId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `ReferentialNotFoundException`
      `AdminManagementClientServerException`

  - ### launchAuditWorkflow

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> launchAuditWorkflow(AuditOptions options, boolean checkAccessContract) throws AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    launch audit with options
    Specified by:
      `launchAuditWorkflow` in interface `AdminManagementClient`
    Parameters:
      `options` -
    Returns:
    Throws:
      `AdminManagementClientServerException`

  - ### launchRuleAudit

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> launchRuleAudit(List<Integer> tenants)
    Description copied from interface: `AdminManagementClient`
    launch audit for rule management
    Specified by:
      `launchRuleAudit` in interface `AdminManagementClient`
    Returns:
      The server response as vitam RequestResponse

  - ### launchReferentialAudit

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> launchReferentialAudit(AuditReferentialOptions auditReferentialOptions)
    Specified by:
      `launchReferentialAudit` in interface `AdminManagementClient`

  - ### importSecurityProfiles

    public jakarta.ws.rs.core.Response.Status importSecurityProfiles(List<SecurityProfileModel> securityProfileModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Import a set of security profiles after passing the validation steps. If all the security profiles are valid, they are stored in the database. The input is invalid in the following situations :
    - The json is invalid
    - The json contains 2 ore many contracts having the same name or identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    - One or many security profiles already exist in the database
    Specified by:
      `importSecurityProfiles` in interface `AdminManagementClient`
    Parameters:
      `securityProfileModelList` - the security profiles to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findSecurityProfiles

    public RequestResponse findSecurityProfiles(com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Find security profiles by DSL query
    - By internal id
    - By identifier
    - By name
    - By comlexe criteria
    Specified by:
      `findSecurityProfiles` in interface `AdminManagementClient`
    Parameters:
      `queryDsl` - the DSL query
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### findSecurityProfileByIdentifier

    public RequestResponse findSecurityProfileByIdentifier(String identifier) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Find a security profile by identifier
    Specified by:
      `findSecurityProfileByIdentifier` in interface `AdminManagementClient`
    Parameters:
      `identifier` - the identifier of the security profile
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### updateSecurityProfile

    public RequestResponse<SecurityProfileModel> updateSecurityProfile(String identifier, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Updates a security context
    Specified by:
      `updateSecurityProfile` in interface `AdminManagementClient`
    Parameters:
      `identifier` - the identifier of the security profile to update
      `queryDsl` - query to execute
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### updateProfile

    public RequestResponse<ProfileModel> updateProfile(String id, com.fasterxml.jackson.databind.JsonNode queryDsl) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Update a profile
    Specified by:
      `updateProfile` in interface `AdminManagementClient`
    Parameters:
      `id` -
      `queryDsl` -
    Returns:
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### launchReindexation

    public RequestResponse<ReindexationResult> launchReindexation(com.fasterxml.jackson.databind.JsonNode options) throws AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    launch a reindexation process with options
    Specified by:
      `launchReindexation` in interface `AdminManagementClient`
    Parameters:
      `options` - specifying what to reindex
    Returns:
      the server response including information about the newsly created index
    Throws:
      `AdminManagementClientServerException`

  - ### switchIndexes

    public RequestResponse<ReindexationResult> switchIndexes(com.fasterxml.jackson.databind.JsonNode options) throws AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    launch an index switch. By specifying the name of the index and the collection, the index will be mapped to the correct alias
    Specified by:
      `switchIndexes` in interface `AdminManagementClient`
    Parameters:
      `options` -
    Returns:
      the server response
    Throws:
      `AdminManagementClientServerException`

  - ### evidenceAudit

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> evidenceAudit(com.fasterxml.jackson.databind.JsonNode query) throws AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    launch a traceability audit for the unit
    Specified by:
      `evidenceAudit` in interface `AdminManagementClient`
    Parameters:
      `query` - the id
    Returns:
      the server response
    Throws:
      `AdminManagementClientServerException`

  - ### rectificationAudit

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> rectificationAudit(String operationId)
    Description copied from interface: `AdminManagementClient`
    Launch rectification Audit
    Specified by:
      `rectificationAudit` in interface `AdminManagementClient`
    Parameters:
      `operationId` - operation Id
    Returns:
      RequestResponse

  - ### exportProbativeValue

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> exportProbativeValue(ProbativeValueRequest queryDsl)
    Description copied from interface: `AdminManagementClient`
    Launch an probative value export for the query
    Specified by:
      `exportProbativeValue` in interface `AdminManagementClient`
    Parameters:
      `queryDsl` - the id
    Returns:
      the server response

  - ### importOntologies

    public RequestResponse importOntologies(boolean forceUpdate, List<OntologyModel> ontologyModelList) throws InvalidParseOperationException, AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Import a set of ontologies metadata. If all the ontologies are valid, they will be stored in the ontology collection and indexed The input is invalid in the following situations :
    - The json is invalid
    - The json contains an already used identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    Specified by:
      `importOntologies` in interface `AdminManagementClient`
    Parameters:
      `forceUpdate` -
      `ontologyModelList` - the list of ontologies to import
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`

  - ### findOntologies

    public RequestResponse<OntologyModel> findOntologies(com.fasterxml.jackson.databind.JsonNode query) throws InvalidParseOperationException
    Description copied from interface: `AdminManagementClient`
    Find ontologies according to the given json query (we can also use this method to find ontology by identifier)
    Specified by:
      `findOntologies` in interface `AdminManagementClient`
    Parameters:
      `query` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`

  - ### findOntologyByID

    public RequestResponse<OntologyModel> findOntologyByID(String requestedId) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Description copied from interface: `AdminManagementClient`
    Find the ontology by technical id (id generated by the database)
    Specified by:
      `findOntologyByID` in interface `AdminManagementClient`
    Parameters:
      `requestedId` -
    Returns:
      The server response as vitam RequestResponse
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### forcePause

    public RequestResponse forcePause(ProcessPause info)
    Description copied from interface: `AdminManagementClient`
    Pause the processes specified by ProcessPause info
    Specified by:
      `forcePause` in interface `AdminManagementClient`
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:
      The server response as vitam RequestResponse

  - ### removeForcePause

    public RequestResponse removeForcePause(ProcessPause info)
    Description copied from interface: `AdminManagementClient`
    Remove the pause for the processes specified by ProcessPause info
    Specified by:
      `removeForcePause` in interface `AdminManagementClient`
    Parameters:
      `info` - a ProcessPause object indicating the tenant and/or the type of process to pause
    Returns:
      The server response as vitam RequestResponse

  - ### createAccessionRegisterSymbolic

    public RequestResponse<AccessionRegisterSymbolic> createAccessionRegisterSymbolic(List<Integer> tenants)
    Description copied from interface: `AdminManagementClient`
    Creates and return the accession register symbolic.
    Specified by:
      `createAccessionRegisterSymbolic` in interface `AdminManagementClient`
    Parameters:
      `tenants` - tenants list
    Returns:
      the accession register created

  - ### getAccessionRegisterSymbolic

    public RequestResponse<AccessionRegisterSymbolicModel> getAccessionRegisterSymbolic(Integer tenant, com.fasterxml.jackson.databind.JsonNode queryDsl) throws AdminManagementClientServerException
    Description copied from interface: `AdminManagementClient`
    Retrieve the accession register symbolic regarding the tenant and a date range.
    Specified by:
      `getAccessionRegisterSymbolic` in interface `AdminManagementClient`
    Parameters:
      `tenant` - related to the accession register
      `queryDsl` - search by dsl
    Returns:
      a lis of accession register symbolic or a empty list if nothing is found
    Throws:
      `AdminManagementClientServerException`

  - ### importGriffins

    public RequestResponse importGriffins(List<GriffinModel> griffinModelList) throws AdminManagementClientServerException
    Specified by:
      `importGriffins` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`

  - ### importPreservationScenarios

    public RequestResponse importPreservationScenarios(List<PreservationScenarioModel> preservationScenarioModelList) throws AdminManagementClientServerException
    Specified by:
      `importPreservationScenarios` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`

  - ### findGriffinByID

    public RequestResponse<GriffinModel> findGriffinByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Specified by:
      `findGriffinByID` in interface `AdminManagementClient`
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findPreservationByID

    public RequestResponse<PreservationScenarioModel> findPreservationByID(String id) throws InvalidParseOperationException, AdminManagementClientServerException, ReferentialNotFoundException
    Specified by:
      `findPreservationByID` in interface `AdminManagementClient`
    Throws:
      `InvalidParseOperationException`
      `AdminManagementClientServerException`
      `ReferentialNotFoundException`

  - ### findPreservation

    public RequestResponse<PreservationScenarioModel> findPreservation(com.fasterxml.jackson.databind.JsonNode dslQuery) throws AdminManagementClientServerException, InvalidParseOperationException, ReferentialNotFoundException
    Specified by:
      `findPreservation` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`
      `InvalidParseOperationException`
      `ReferentialNotFoundException`

  - ### findGriffin

    public RequestResponse<GriffinModel> findGriffin(com.fasterxml.jackson.databind.JsonNode dslQuery)
    Specified by:
      `findGriffin` in interface `AdminManagementClient`

  - ### createExternalOperation

    public jakarta.ws.rs.core.Response.Status createExternalOperation(LogbookOperationParameters logbookOperationparams) throws AdminManagementClientServerException, BadRequestException, LogbookClientAlreadyExistsException
    Description copied from interface: `AdminManagementClient`
    Create external logbook operation entry
    Specified by:
      `createExternalOperation` in interface `AdminManagementClient`
    Parameters:
      `logbookOperationparams` - the logbook parameters to be created
    Returns:
      RequestResponse status of the insertion
    Throws:
      `AdminManagementClientServerException`
      `BadRequestException`
      `LogbookClientAlreadyExistsException`

  - ### findJobs

    public RequestResponse<com.fasterxml.jackson.databind.JsonNode> findJobs()
    Specified by:
      `findJobs` in interface `AdminManagementClient`

  - ### reconstructCollection

    public void reconstructCollection(String collection) throws AdminManagementClientServerException
    Specified by:
      `reconstructCollection` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`

  - ### reconstructAccessionRegister

    public void reconstructAccessionRegister(List<ReconstructionRequestItem> reconstructionItems) throws AdminManagementClientServerException
    Specified by:
      `reconstructAccessionRegister` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`

  - ### getUnitSchema

    public RequestResponse<SchemaResponse> getUnitSchema() throws AdminManagementClientServerException
    Specified by:
      `getUnitSchema` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`

  - ### getArchiveUnitProfileSchema

    public RequestResponse<CombinedSchemaModel> getArchiveUnitProfileSchema(String id) throws AdminManagementClientServerException
    Specified by:
      `getArchiveUnitProfileSchema` in interface `AdminManagementClient`
    Throws:
      `AdminManagementClientServerException`

  - ### getObjectGroupSchema

    public RequestResponse<SchemaResponse> getObjectGroupSchema()
    Specified by:
      `getObjectGroupSchema` in interface `AdminManagementClient`

  - ### importUnitExternalSchema

    public jakarta.ws.rs.core.Response.Status importUnitExternalSchema(List<SchemaInputModel> externalSchemaInputList)
    Description copied from interface: `AdminManagementClient`
    Import a set of external unit schema.
    - The json is invalid
    - The json contains an already used identifier
    - One or more mandatory field is missing
    - A field has an invalid format
    Specified by:
      `importUnitExternalSchema` in interface `AdminManagementClient`
    Parameters:
      `externalSchemaInputList` - the list of external unit schema to import
    Returns:
      The server response as vitam RequestResponse

  - ### deleteUnitExternalSchemas

    public jakarta.ws.rs.core.Response.Status deleteUnitExternalSchemas(List<String> paths)
    Description copied from interface: `AdminManagementClient`
    Delete one or more external schemas by path(s)
    Specified by:
      `deleteUnitExternalSchemas` in interface `AdminManagementClient`
    Parameters:
      `paths` - schemas paths
    Returns:
      status

  - ### getPublicConfiguration

    public RequestResponse<PublicConfiguration> getPublicConfiguration()
    Description copied from interface: `AdminManagementClient`
    Get Vitam public configuration
    Specified by:
      `getPublicConfiguration` in interface `AdminManagementClient`